Bug 1683653 (CVE-2018-3630) - CVE-2018-3630 ovmf: Logic error in FV parsing in MdeModulePkg\Core\Pei\FwVol\FwVol.c
Summary: CVE-2018-3630 ovmf: Logic error in FV parsing in MdeModulePkg\Core\Pei\FwVol\...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-3630
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1683655 1683654
Blocks: 1683657
TreeView+ depends on / blocked
 
Reported: 2019-02-27 12:56 UTC by Pedro Sampaio
Modified: 2019-09-29 15:08 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:48:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
TianoCore 864 None None None 2019-03-04 04:22:15 UTC

Description Pedro Sampaio 2019-02-27 12:56:32 UTC
A flaw was found in ovmf. A logic error in FV parsing allows local/physical attacker to bypass chain-of-trust integrity checks.

Upstream issue:

https://bugzilla.tianocore.org/show_bug.cgi?id=864

Comment 1 Pedro Sampaio 2019-02-27 12:56:49 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1683655]
Affects: fedora-all [bug 1683654]


Note You need to log in before you can comment on or make changes to this bug.